PlumeTraP (Plume Tracking and Parametrization) - v1.0.0

Author: Riccardo Simionato (University of Padova)
Date: October 2021

PlumeTraP is a MATLAB-based code that semi-automatically tracks volcanic
plumes from visible-wavelenghts videos and is also capable of automatically
calculating the geometric parameters of the plume.

Detection and parameterization of volcanic plumes in visible videos.
Starting from a video, frames are saved, segmented through a specific
technique and basilar parameters of the plume through time are extracted.

Developed with MatLab R2018b and Image Processing Toolbox 10.3.
Tested and operative up to R2021b MatLab version.

Two versions of PlumeTraP are available:
- semi-automatic (PlumeTraP_AUT.m)
- interactive (PlumeTraP_INT.m)

The general workflow of PlumeTraP is presented in the user's manual. 
For further information see "Simionato R., Jarvis P.A., Rossi E.,
Bonadonna C., 2022 - PlumeTraP: a new MATLAB-based algorithm to detect and
parametrize volcanic plumes from visible-wavelength images" or contact the 
authors.

For specific functioning or setting up the user may refer to the MATLAB 
scripts, which are appropriately documented.